from OFS.Folder import Folder
from Persistence import Persistent
import Acquisition

class rate(Persistent):
    """a rating"""
    def __init__(self,sessionID,id_photo,rating,comment):
      self.sessionID = sessionID
      self.id_photo  = id_photo
      self.rating    = rating
      self.comment   = comment
             
class ratings(Persistent,Acquisition.Implicit):
    """the ratings system"""
    def __init__(self):
        self.listerate = []
    def add_new(self,sessionID,id_photo,rating,comment):
        dictrate = rate(sessionID,id_photo,rating,comment)
        l = self.listerate
        l.append(dictrate)
        self.listerate = l
    def __repr__(self):
         return str(self.listerate)
    def index(self, item):
         return self.listerate.index(item)
    def __getitem__(self, i):
         return self.listerate[i]
    def __setitem__(self, i, item):
        self.listerate[i] = item
        self._p_changed = 1
    def remove(self, item):
        self.listerate.remove(item)
        self._p_changed = 1
    def empty(self):
        "Say if the rating list is empty"
        if(len(self.listerate)):
           return 1
        else:
           return 0
    def __len__(self): return len(self.listerate)
    def __delitem__(self, i):
        del self.listerate[i]
        self._p_changed = 1
